Subject: bug#41754: [feature/native-comp] Fix crash when loading lambdas from dumps with --enable-checking.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 09 Jun 2020 18:53:39 +0300

> From: Nicolas Bértolo <[email-masked]>
> Date: Tue, 9 Jun 2020 12:11:15 -0300
> Cc: Andrea Corallo <[email-masked]>, [email-masked]
> 
> > If so, could it be that removing that constraint will lead to a more elegant
> > and less expensive code? After all, all this function does is to append STR to
> > each directory in PATH, then try finding the resulting file with or without one
> > of the extensions in SUFFIXES. Could we produce the file name to probe without
> > walking a single list?
> 
> I'll come up with a new version taking your suggestions into account.

Please don't see what I wrote as a requirement.  Just take it into
consideration and see if it leads to something reasonable.  If you
feel that the result will not be significantly better, there's no need
to come up with yet another solution; I'd hate to ask you to do
redundant work unless my idea really happens to lead to an elegant
solution.

And thanks for your continued work on these matters, highly
appreciated.